import { __name } from './chunk-AGHRB4JF.mjs';
import '../../../../../../d3-transition@3.0.1_d3-selection@3.0.0/node_modules/d3-transition/src/selection/index.mjs';
import '../../../../../../d3-zoom@3.0.0/node_modules/d3-zoom/src/transform.mjs';
import select from '../../../../../../d3-selection@3.0.0/node_modules/d3-selection/src/select.mjs';

var getDiagramElement = /* @__PURE__ */ __name((id, securityLevel) => {
  let sandboxElement;
  if (securityLevel === "sandbox") {
    sandboxElement = select("#i" + id);
  }
  const root = securityLevel === "sandbox" ? select(sandboxElement.nodes()[0].contentDocument.body) : select("body");
  const svg = root.select(`[id="${id}"]`);
  return svg;
}, "getDiagramElement");

export { getDiagramElement };
